import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Comparator;
import java.util.List;
import java.util.Map;
import java.util.Random;
import java.util.stream.Stream;

import static java.util.stream.Collectors.groupingBy;
import static java.util.stream.Collectors.toList;

public class Main {
    public static void main(String[] args) throws IOException {
        // Читаем значение для расчета остатка числа
        BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(System.in));
        int n = Integer.parseInt(bufferedReader.readLine());

        // Формируем список произвольных чисел
        Random rnd = new Random();
        List<Integer> list = Stream.generate(() -> rnd.nextInt(200))
                .limit(100)
                .collect(toList());

        // Группируем числа по остаткам
        Map<Integer, List<Integer>> groups = list.stream()
                .collect(groupingBy(x -> x % n));

        groups.entrySet()
                .stream()
                .sorted(Comparator.comparingInt(Map.Entry::getKey)) // сортируем по значению остатка
                .forEach(e -> {
                    // Выводим каждую группу
                    System.out.print(e.getKey() + ":");
                    List<Integer> group = e.getValue();
                    group.forEach(v -> System.out.print(" " + v));
                    System.out.println();
                });
    }
}
